<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Groups StructType
 * @subpackage Structs
 */
class Get_Groups extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The GroupSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GroupSelection
     */
    public $GroupSelection;
    /**
     * Constructor method for Get_Groups
     * @uses Get_Groups::setLogin()
     * @uses Get_Groups::setGroupSelection()
     * @param \StructType\Login $login
     * @param \StructType\GroupSelection $groupSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\GroupSelection $groupSelection = null)
    {
        $this
            ->setLogin($login)
            ->setGroupSelection($groupSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Groups
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get GroupSelection value
     * @return \StructType\GroupSelection|null
     */
    public function getGroupSelection()
    {
        return $this->GroupSelection;
    }
    /**
     * Set GroupSelection value
     * @param \StructType\GroupSelection $groupSelection
     * @return \StructType\Get_Groups
     */
    public function setGroupSelection(\StructType\GroupSelection $groupSelection = null)
    {
        $this->GroupSelection = $groupSelection;
        return $this;
    }
}
